## python-utmp 0.7.4-0.1ubuntu1

=== Makefile ===

include Makefile.common

## python-utmp 0.5.3

=== debian/changelog ===
python-utmp (0.5.3) unstable; urgency=low

  * fix dependencies (closes: #121703)
  * fix postinst script
  * fix description

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sat,  1 Dec 2001 19:28:53 +0100

python-utmp (0.5.2) unstable; urgency=low

  * upgraded debian package to python2.1 (closes: #118253)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 16 Oct 2001 12:38:17 +0200

python2-utmp (0.5.1) unstable; urgency=low

  * moved Build-Depends where they belong (closes: #87270)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 23 Feb 2001 20:39:10 +0100

python2-utmp (0.5) unstable; urgency=low

  * split makefiles by architecture
  * upgraded to python2

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 19 Feb 2001 16:44:34 +0100

python-utmp (0.4) unstable; urgency=low

  * full read/write for all supported systems (including BSD)
  * better support for system without ut_id
  * support for SunOS utmpx
  * ut_exit and ut_tv are now tuples
  * ut_addr_v6 was not correctly returned, fixed
  * added proper casting of C variables

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 15 Oct 2000 13:04:03 +0400

python-utmp (0.3) unstable; urgency=low

  * preliminary read-only support for BSD systems
  * better support for systems without ut_type

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  1 Oct 2000 19:29:37 +0400

python-utmp (0.2) unstable; urgency=low

  * modules renamed
  * UTMPCONST.py generated from utmp.h
  * steps towards portability, now works on SunOS and HPUX,
    hopefully on wider range of SYSTEM V machines.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 22 Sep 2000 11:22:59 +0400

python-utmp (0.1.1) unstable; urgency=low

  * rebuilt with a new GPG key

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Sep 2000 08:35:34 +0200

python-utmp (0.1) unstable; urgency=low

  * Initial Release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 22 Mar 2000 15:22:23 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: python-utmp
Section: interpreters
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Standards-Version: 3.5.6
Build-Depends: python2.1-dev, libc6-dev, debhelper

Package: python-utmp
Architecture: any
Depends: python (>= 2.1), python (<< 2.2)
Description: python module for working with utmp
 python-utmp provides 3 modules to access utmp and wtmp records.
 utmpaccess is lowlevel module wrapping glibc functions, UTMPCONST
 provides useful constants, and utmp is module build 
 on top of utmpaccess module, providing object oriented 
 interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3


build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) -f Makefile.glibc 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/python-utmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install

#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-utmp 0.7.2ubuntu1

=== debian/changelog ===
python-utmp (0.7.2ubuntu1) warty; urgency=low

  * Add missing build-depends: python

 -- LaMont Jones <lamont@mmjgroup.com>  Fri, 17 Sep 2004 17:09:54 +0000

python-utmp (0.7.2) unstable; urgency=low

  * NMU.
  * Fix python dependency (using dh_python). Closes: #207317.
  * Remove postinst/prerm files.

 -- Matthias Klose <doko@debian.org>  Fri,  5 Sep 2003 22:51:05 +0200

python-utmp (0.7.1) unstable; urgency=low

  * NMU.
  * Rebuild debian package with python2.3.
  * clean: remove .so module
  * control: add ${shlibs:Depends}

 -- Matthias Klose <doko@debian.org>  Tue, 19 Aug 2003 07:51:00 +0200

python-utmp (0.7) unstable; urgency=low

  * Utmp entries are not tuples/dictionaries anymore, but objects
    with attributes - as they should have been from the beginning

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 21 Jan 2003 15:39:45 +0100

python-utmp (0.6.1) unstable; urgency=low

  * rebuild debian package with python2.2 (closes: #160789)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 24 Sep 2002 14:45:03 +0200

python-utmp (0.6) unstable; urgency=low

  * added iterator to UtmpRecord
  * debian package upgraded to work with python2.3 (closes: #160789)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 23 Sep 2002 13:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
 Standards-Version: 3.5.6
-Build-Depends: python2.1-dev, libc6-dev, debhelper
+Build-Depends: python2.3-dev, libc6-dev | libc-dev, debhelper (>= 4.1.67), python
 
 Package: python-utmp
 Architecture: any
-Depends: python (>= 2.1), python (<< 2.2)
+Depends: ${python:Depends}, ${shlibs:Depends}
 Description: python module for working with utmp
  python-utmp provides 3 modules to access utmp and wtmp records.
  utmpaccess is lowlevel module wrapping glibc functions, UTMPCONST

## python-utmp 0.7.3

=== debian/changelog ===
python-utmp (0.7.3) unstable; urgency=low

  * added python to Build-Depends (closes: #259124)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue,  3 Aug 2004 07:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-utmp
 Section: interpreters
 Priority: optional
-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Standards-Version: 3.5.6
-Build-Depends: python2.3-dev, libc6-dev | libc-dev, debhelper (>= 4.1.67), python
+Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Standards-Version: 3.6.1
+Build-Depends: python, python2.3-dev, debhelper (>= 4.1.67)
 
 Package: python-utmp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	rm -f utmpaccessmodule.so
 
 	dh_clean
 
@@ -60,6 +61,7 @@
 	dh_installchangelogs 
 	dh_link
 	dh_strip
+	dh_python
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.

## python-utmp 0.7.3-0ubuntu1

=== debian/changelog ===
python-utmp (0.7.3-0ubuntu1) hoary; urgency=low

  * Rebuilt package for python 2.4 

 -- Charles Majola <charles@ubuntu.com>  Fri,  4 Feb 2005 11:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.6.1
-Build-Depends: python, python2.3-dev, debhelper (>= 4.1.67)
+Build-Depends: python, python2.4-dev, debhelper (>= 4.1.67)
 
 Package: python-utmp
 Architecture: any

## python-utmp 0.7.4-0.1

=== debian/changelog ===
python-utmp (0.7.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: 373363).
  * Hack build system (make makefile aware of env using ?=).
  * remove prerm, postinst.
  * Avoid to install INSTALL file.

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  1 Jul 2006 20:40:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: interpreters
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
-Standards-Version: 3.6.1
-Build-Depends: python, python2.4-dev, debhelper (>= 4.1.67)
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3)
 
 Package: python-utmp
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: python module for working with utmp
  python-utmp provides 3 modules to access utmp and wtmp records.
  utmpaccess is lowlevel module wrapping glibc functions, UTMPCONST

=== debian/rules ===
--- 
+++ 
@@ -6,42 +6,40 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
+PYVERS := $(subst python,,$(shell pyversions -r))
 
-build: build-stamp
-build-stamp:
-	dh_testdir
-
-	
-	# Add here commands to compile the package.
-	$(MAKE) -f Makefile.glibc 
-
-	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-for ver in $(PYVERS); do \
+	    $(MAKE) PYTHONVER=$$ver clean; done
 	rm -f utmpaccessmodule.so
 
 	dh_clean
+
+build:
+	dh_testdir
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	set -e; \
+	for ver in $(PYVERS); do \
+	    $(MAKE) PYTHONVER=$$ver clean;              \
+	    $(MAKE) PYTHONVER=$$ver -f Makefile.glibc;  \
+	    $(MAKE) PYTHONVER=$$ver install DESTDIR=`pwd`/debian/python-utmp; \
+	done
 	dh_installdirs
-
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/python-utmp
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: ;
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
@@ -61,6 +59,7 @@
 	dh_installchangelogs 
 	dh_link
 	dh_strip
+	dh_pysupport
 	dh_python
 	dh_compress
 	dh_fixperms

## python-utmp 0.7.4-0.1ubuntu1

=== debian/changelog ===
python-utmp (0.7.4-0.1ubuntu1) feisty; urgency=low

  * Rebuild to include the package contents (Closes LP: #76324).
  * debian/rules: remove useless dh_python call.
  * debian/control: Change Maintainer/XSBC-Original-Maintainer field.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 19 Mar 2007 15:50:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-utmp
 Section: interpreters
 Priority: optional
-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3)

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,6 @@
 	dh_link
 	dh_strip
 	dh_pysupport
-	dh_python
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.

## python-utmp 0.7.4-0.1ubuntu2

=== debian/changelog ===
python-utmp (0.7.4-0.1ubuntu2) jaunty; urgency=low

  * No-change rebuild for Python 2.6.

 -- William Grant <wgrant@ubuntu.com>  Tue, 10 Mar 2009 18:10:00 +1100

## python-utmp 0.8ubuntu1

=== debian/changelog ===
python-utmp (0.8ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #496397), remaining changes:
    - bumped dh_pysupport to depend on > 0.5.3
    - debian/pyversions now >= 2.5
    - debian/rules removed unnecessary dh_python
    - rm debian/pycompat

 -- Scott Howard <showard314@gmail.com>  Wed, 16 Dec 2009 22:38:08 -0500

python-utmp (0.8) unstable; urgency=low

  * support for python3
  * __repr__ for UtmpRecord and UtmpEntry
  * incorporate Makefile changes by Pierre Habouzit

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu, 06 Aug 2009 17:49:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-utmp
-Section: interpreters
+Section: python
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3)
+Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3)
 
 Package: python-utmp
 Architecture: any

## python-utmp 0.8+nmu1

=== debian/changelog ===
python-utmp (0.8+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Update for python2.6 and remove dh_python call (closes: #561062)
    - Thanks to Scott Howard for the bug and the patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Mar 2010 18:20:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-utmp
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3)
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3)
 
 Package: python-utmp
 Architecture: any

## python-utmp 0.8+nmu1ubuntu1

=== debian/changelog ===
python-utmp (0.8+nmu1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #603521), remaining changes:
    - bumped dh_pysupport to depend on > 0.5.3
    - rm debian/pycompat
  * Dropped changes:
    - debian/pyversions now >= 2.5: fixed in debian 
    - debian/rules removed unnecessary dh_python: fixed in debian 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 09 Jul 2010 12:06:43 +0200

## python-utmp 0.8+nmu1ubuntu2

=== debian/changelog ===
python-utmp (0.8+nmu1ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:54 +0000

## python-utmp 0.8+nmu1ubuntu3

=== debian/changelog ===
python-utmp (0.8+nmu1ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:45:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-utmp
 Section: python
 Priority: optional
-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan GarabÃ­k <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.3)
+Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3)
 
 Package: python-utmp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=5
+#export DH_COMPAT=5
 
 PYVERS := $(subst python,,$(shell pyversions -r))

## python-utmp 0.8.2

=== debian/changelog ===
python-utmp (0.8.2) unstable; urgency=low

  * switch to dh_python2 (closes: #786035)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu, 04 Jun 2015 17:10:31 +0200

python-utmp (0.8+0.8.1) unstable; urgency=low

  * this was actually 0.8.1, but I forgot to upload it... bummer.
  * remove dh_python (closes: #561062), bump pyversions and
    python-support build dependency version

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sun, 03 Jan 2010 17:15:24 +0100

=== debian/control ===
Source: python-utmp
Section: python
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3), dh-python, hardening-wrapper

Package: python-utmp
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: python module for working with utmp
 python-utmp provides 3 modules to access utmp and wtmp records.
 utmpaccess is lowlevel module wrapping glibc functions, UTMPCONST
 provides useful constants, and utmp is module build 
 on top of utmpaccess module, providing object oriented 
 interface.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 # This is the debhelper compatability version to use.
 #export DH_COMPAT=5
+
+export DEB_BUILD_HARDENING=1
 
 PYVERS := $(subst python,,$(shell pyversions -r))
 
@@ -22,17 +24,25 @@
 
 	dh_clean
 
-build:
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build-stamp:
+	for ver in $(PYVERS); do \
+	    $(MAKE) PYTHONVER=$$ver clean;              \
+	    $(MAKE) PYTHONVER=$$ver -f Makefile.glibc;  \
+	done
 	dh_testdir
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	set -e; \
 	for ver in $(PYVERS); do \
-	    $(MAKE) PYTHONVER=$$ver clean;              \
-	    $(MAKE) PYTHONVER=$$ver -f Makefile.glibc;  \
 	    $(MAKE) PYTHONVER=$$ver install DESTDIR=`pwd`/debian/python-utmp; \
 	done
 	dh_installdirs
@@ -45,7 +55,7 @@
 # Build architecture-dependent files here.
 binary-arch: build install
 
-#	dh_installdebconf	
+#	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
 #	dh_installmenu
@@ -59,14 +69,13 @@
 	dh_installchangelogs 
 	dh_link
 	dh_strip
-	dh_pysupport
 	dh_compress
 	dh_fixperms
+	dh_python2
 	# You may want to make some executables suid here.
 #	dh_suidregister
 	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## python-utmp 0.8.3

=== debian/changelog ===
python-utmp (0.8.3) unstable; urgency=high

  * remove depencency on hardening-wrapper (closes: #836649)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 16 Sep 2016 16:03:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3), dh-python, hardening-wrapper
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3), dh-python
 
 Package: python-utmp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,11 @@
 # This is the debhelper compatability version to use.
 #export DH_COMPAT=5
 
-export DEB_BUILD_HARDENING=1
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PYVERS := $(subst python,,$(shell pyversions -r))
-
 
 clean:
 	dh_testdir

## python-utmp 0.9

=== Makefile ===

include Makefile.common

=== debian/changelog ===
python-utmp (0.9-1build12) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:15:36 +0000

python-utmp (0.9-1build11) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:35:11 +0000

python-utmp (0.9-1build10) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:03 +0100

python-utmp (0.9-1build9) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:50:58 +0000

python-utmp (0.9-1build8) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:55:02 +0000

python-utmp (0.9-1build7) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:42:17 -0500

python-utmp (0.9-1build6) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:14:19 +0000

python-utmp (0.9-1build5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:09:04 +0000

python-utmp (0.9-1build4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:25 +0000

python-utmp (0.9-1build3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:43:46 +0100

python-utmp (0.9-1build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:55:27 +0200

python-utmp (0.9-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:44 +0100

python-utmp (0.9-1) unstable; urgency=low

  * switch to quilt format
  * build python3 module (closes: #938246)
  * convert examples to python3
  * fix UtmpEntry initialization in modern python

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu, 05 Sep 2019 09:51:02 +0200

=== debian/control ===
Source: python-utmp
Section: python
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), python3-all-dev, dh-python

Package: python3-utmp
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: python module for working with utmp
 python-utmp provides 3 modules to access utmp and wtmp records.
 utmpaccess is lowlevel module wrapping glibc functions, UTMPCONST
 provides useful constants, and utmp is module build 
 on top of utmpaccess module, providing object oriented 
 interface.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-PYVERS := $(subst python,,$(shell pyversions -r))
+PYVERS := $(subst python,,$(shell py3versions -r))
 
 clean:
 	dh_testdir
@@ -44,7 +44,7 @@
 	dh_prep
 	set -e; \
 	for ver in $(PYVERS); do \
-	    $(MAKE) PYTHONVER=$$ver install DESTDIR=`pwd`/debian/python-utmp; \
+	    $(MAKE) PYTHONVER=$$ver install DESTDIR=$(CURDIR)/debian/python3-utmp; \
 	done
 	dh_installdirs
 
@@ -67,12 +67,12 @@
 #	dh_installmanpages
 #	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python2
+	dh_python3
 	# You may want to make some executables suid here.
 #	dh_suidregister
 	dh_makeshlibs
